Subject: Re: [PATCH] t1404: mark directory/file conflict tests with REFFILES

From: Junio C Hamano <[email-masked]>
Date: Mon, 29 Nov 2021 09:59:09 -0800

Han-Wen Nienhuys <[email-masked]> writes:

> On Fri, Nov 26, 2021 at 8:39 AM Junio C Hamano <[email-masked]> wrote:
>
>> And presumably, without REFFILES prerequisite, these operations
>> would be supported?  E.g. we can have 'main' branch, with 'main/1',
>> 'main/2',... refs, at the same time, with reftable?  That would be
>> quite interesting.
>
> The storage format allows D/F conflicts, but transactions are checked
> for not creating new D/F conflicts (depending on
> the value of reftable_write_options.skip_name_check).

OK.  Then once we let reffiles wither and die over time, hopefully
we can flip the bit and allow us to be in an interesting world ;-)

Nice.